Bug 8124 - "Exception Error" occurs during HD based installation
"Exception Error" occurs during HD based installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-02 22:43 EST by mike11117
Modified: 2015-01-07 18:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-03 11:09:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mike11117 2000-01-02 22:43:40 EST
I have tried to install redhat 6.1 three times, twice using the entire
downloadable redhat i386 directory located on ftp mirror sites, the third
using the downloadable ISO image (mounted the ISO image under linux and
copied it to my DOS hard drive to ensure that all proper files were
present).
All three times, I have experienced a dialog with the title "Exception
Occurred" whose main body contains the following message (at the bottom):
"TypeError: unsubscriptable object" in reference to line 50 of "comps.py"
...this is after configuring the installation and after the program begins
to read packages from the install directory.
Comment 1 Jay Turner 2000-01-03 11:09:59 EST
The most common cause of this error message that you are getting is that there
is a file in the RedHat/RPMS directory which is not actually a .rpm file.
Change into that directory and run "ls | grep -v rpm"  If you get a list of any
files (which I am expecting that you will) delete them and you should be able to
continue with the installation.  Please reopen this bug if you are still having
problems after following these directions.

Note You need to log in before you can comment on or make changes to this bug.